@charset "UTF-8";


/* ───────── 

  CAST LIST

───────── */
.mamalist-wrap{
  display:flex;
  flex-direction: column;
  flex-wrap: wrap;
  gap:15px;
  width: 100%;
}

.castlist-box a:hover {
  transform: translateY(2px);
  opacity: 0.9;
}
.castlist-box {
    width: 100%;
    display:flex;
    flex-wrap: wrap;
    gap: 5px;
}
.castlist-inbox {
    width: 100%;
    display:flex;
    gap: 5px;
    flex-wrap: wrap;
    padding: 5px;
}
.castlist-box a{
    width: 100%;
    height: 100%;
    background: var(--color-white);
    border-radius: 5px;
    position: relative;
    padding: 0;
    color: var(--color-dark);
    text-decoration: none;
    transition: transform 0.3s ease;
}
.castlist-img{
    width: 40%;
    max-width: 200px;
    aspect-ratio: 3 / 4;
}
.castlist-type{
    position: absolute;
    right:-12px;
    top:-2px;
    width: 20%;
    max-width: 135px;
    height: auto;
}
.castlist-info{
  display:flex;
  flex-direction: column;
  gap:5px;
  width: calc(60% - 5px);
}
.castlist-name{
    width: calc(100% - 26%);
    font-size: clamp(0.813rem, 0.137rem + 3.38vw, 1.125rem);/*13-18*/
    color: var(--color-mid);
    padding: 5px 0 5px 0;
}
.newface{
    padding: 2px;
    border-radius: 5px;
    border:solid 1px var(--color-accent);
    background: var(--color-accent);
    color: var(--color-white);
    font-size: var(--text-S2);
    font-weight: 400;
    margin-right: 5px;
}
.castlist-info ul{
  display:flex;
  flex-direction: column;
  gap:5px;
}
.castlist-box ul .catch{
    width: calc(100% - 26%);
    letter-spacing: 1;
    line-height: 1.4;
    padding-bottom: 5px;
    font-size: var(--text-S);
}
.castlist-box ul .bust{
    font-size: var(--text-L);
    font-weight: 600;
    color: var(--color-pink);
}
.castlist-features{
  display:flex;
  flex-direction: row;
  flex-wrap: wrap;
  gap:3px;
  padding: 5px 0;
}
.castlist-features li{
    padding: 1px 5px;
    border-radius: 5px;
    color: var(--color-mid);
    border:solid 1px var(--color-lightgray);
    font-size:var(--text-S2);
}
.castlist-schedule{
    width: 100%;
    padding: 3px;
    text-align: center;
    display: block;
    background: var(--color-accent);
    color: var(--color-white);
    border-radius: 0 0 5px 5px;
}

/*妊婦ママ*/
.type-pregnant span{
    background: #f17e50;
    padding: 2px 5px;
    border-radius: 3px;
    color: var(--color-white);
    font-size:var(--text-S);
}
/*母乳ママ*/
.type-milk span{
    background: #e8889a;
    padding: 2px 5px;
    border-radius: 3px;
    color: var(--color-white);
    font-size:var(--text-S);
}
/*保母さん＆ママ*/
.type-mama span{
    background: #8cc46d;
    padding: 2px 5px;
    border-radius: 3px;
    color: var(--color-white);
    font-size:clamp(0.75rem, 0.48rem + 1.35vw, 0.875rem);/*12-14*/
}

@media (min-width: 768px) { /*PC*/
.mamalist-wrap{
    display:flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap:15px;
    width: 100%;
}
.castlist-box{
    width: calc((100% - 15px) / 2);
}
.castlist-info{
  padding: 10px 0 0 0;
}
}

/* --- 出勤日がある時 --- */
@media (min-width: 768px) { /*PC*/
.castlist-box:has(.castlist-schedule) .castlist-features {
    padding-bottom: 2.5em;
}
.castlist-schedule{
  position: absolute;
  left: 0;
  bottom:0;
}
}




/* ───────── 

  CAST PAGE

───────── */

.cast-title{
  display:flex;
  flex-direction: column;
  align-items: center;
  gap:15px;
  margin-bottom: 20px;
}
.cast-icon{
    width: 120px;
    height: 120px;
}
.cast-name{
  display:flex;
  flex-direction: column;
  align-items: center;
  gap:5px;
    font-size: clamp(1.875rem, 1.125rem + 3.75vw, 2.25rem); /*30-36*/
    font-weight: 600;
    letter-spacing: 0.08em;
    line-height: 1.2;
    background: linear-gradient(90deg, #ed776c 0%, #7a5a5a 20%, #7a5a5a 0%);
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: transparent;
    text-align: center;
}
.cast-rub{
    font-size: var(--text-S2);
}
.cast-catch{
  font-size: var(--text-S);
  padding-top: 1em;
  line-height: 1.4;
  text-align: center;
}
.cast-features{
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    gap:5px;
}
.cast-features li{
    padding: 2px 6px;
    border-radius: 5px;
    color: var(--color-mid);
    border:solid 1px var(--color-lightgray);
    font-size:var(--text-S2);
}
.cast-features li.newface{
    border:solid 1px var(--color-accent) !important;
    background: var(--color-accent);
    color: var(--color-white) !important;
    font-size: var(--text-S2);
    margin-right: 0;
}


@media (min-width: 768px) { /*PC*/
.cast-title{
  flex-direction: row;
  gap:25px;
}
.cast-icon{
    width: 140px;
    height: 140px;
}
.cast-namearea {
  width: calc(100% - 140px - 19em);
}
.cast-name {
    align-items: flex-start;
}
.cast-name .cast-rub{
    padding: 0 8px;
}
.cast-catch{
  text-align: left;
}
.cast-features{
    width: 19em;
}
}


/* ───────── 
  レイアウト
───────── */
.cast-wrap{
  display:flex;
  flex-direction: column;
  gap:20px;
}
.cast-panel{
  display:flex;
  flex-direction: column;
  gap:20px;
    width: 100%;
}
#ladySlide{width: 100%;}
.cast-profile{
  display:flex;
  flex-direction: column;
  gap:20px;
    width: 100%;
}

@media (min-width: 768px) { /*PC*/
.cast-wrap{
  flex-direction: row;
  flex-wrap: wrap;
  gap:30px;
}
.cast-panel{
    width: 40%;
}
.cast-profile{
    width: calc(60% - 30px);
}
}

/*写メ日記などの外部リンク*/
.otherlinks{
  display:flex;
  flex-wrap: wrap;
  justify-content: flex-end;
  gap:10px;
}
  .btn-otherlink a  {
    display: inline-flex;
    align-items: center;
    gap: 5px;
    background: linear-gradient(135deg, #f7f0f0, #ebdddd);
    color: var(--color-mid);
    text-decoration: none;
    padding: 10px 20px;
    border-radius: 10px;
    font-size: 0.9rem;
    font-weight: 500;
    text-align: left;
    line-height: 1.3;
    opacity: 1;
    visibility: visible;
    transition: transform 0.3s ease;
    border:solid 1px rgba(255,255,255,0.45);
  }
  .btn-otherlink a:hover {
  transform: translateY(2px);
    background: #f7f0f0;
    color: var(--color-accent);
  }



/* ───────── 
  slider
───────── */
#ladySlide{
  position: relative;
}
#ladySlide span.guard{
	display: block;
	width: 100%;
	height: 100%;
	background: rgba(255,255,255,0);
	position: absolute;
	left: 0;
	top: 0;
	z-index: 1;
}
#ladySlide #carousel li{
	position: relative;
}
#ladySlide #carousel span.guard{
	display: block;
	width: 80px;
	height: 113px;
	background: rgba(255,255,255,0);
	position: absolute;
	left: 0;
	top: 0;
	z-index: 9;
}

@media (max-width: 767px) { /*SP*/
#ladySlide{
  position: relative;
	margin:0 auto 15px auto;
	width:100%;
    max-width: 500px;
    height:auto;
	background:#fff;
}
#ladySlide .slick-slide img{
  width: 100%;
}
#ladySlide .slider-thumb{
	display:none;
}
#ladySlide .slider-for {
  position: relative;
	border: 1px solid rgba(255,255,255,0.6);
	box-shadow: 0px 0px 10px 0px rgba(219, 211, 211, 1);
}
#ladySlide .slick-arrow_prev{
  position: absolute;
  left: -15px;
  top: 50%;
  transform: translateY(-50%);
  z-index: 10;
  width: 30px;
  height:30px;
  background: url("../images/icon-slick-prev.png") no-repeat;
  background-size: 30px;
}
#ladySlide .slick-arrow_next{
  position: absolute;
  right: -15px;
  top: 50%;
  transform: translateY(-50%);
  z-index: 10;
  width: 30px;
  height:30px;
  background: url("../images/icon-slick-next.png") no-repeat;
  background-size: 30px;
}

}

@media (min-width: 768px) { /*PC*/
#ladySlide{
  position: relative;
	margin:0 auto;
	max-width:360px;
	min-height:480px;
	background:#fff;
}
#ladySlide .slider-for{
	border: 1px solid rgba(255,255,255,0.6);
	box-shadow: 0px 0px 10px 0px rgba(219, 211, 211, 1);
}
#ladySlide img{
  width:100%;
}
#ladySlide .slider-thumb{
  padding-top: 10px;
}
#ladySlide .slider-thumb li{
  width: 80px;
  padding: 1px;
}
#ladySlide .slider-thumb li img{
  width: 80px;
  margin: 0 auto;
}
#ladySlide .slick-arrow_prev{
  position: absolute;
  left: -15px;
  top: 50%;
  transform: translateY(-50%);
  z-index: 10;
  width: 30px;
  height:30px;
  background: url("../../images/icon-slick-prev.png") no-repeat;
  background-size: 30px;
}
#ladySlide .slick-arrow_next{
  position: absolute;
  right: -15px;
  top: 50%;
  transform: translateY(-50%);
  z-index: 10;
  width: 30px;
  height:30px;
  background: url("../../images/icon-slick-next.png") no-repeat;
  background-size: 30px;
}
#ladySlide .slick-track{
    margin: 0;
}
}


/* ───────── 
  プロフィール
───────── */
.profileList{
  display:flex;
  flex-direction: column;
  gap:5px;
}
.profileList li{
    padding: 6px 5px;
    border-bottom: solid 1px var(--color-lightgray);
}
.profileList .list{
    font-weight: 500;
    padding-right: 0.5em;
    color: var(--color-mid);
}
.profileList .bust{
    font-size: var(--text-L2);
    font-weight: 600;
    color: var(--color-pink);
}

.mama-profile{
  display:flex;
  flex-direction: column;
  gap:10px;
}
.mama-profile dl{
  display:flex;
  flex-direction: column;
  gap:5px;
  margin: 5px 0;
}
.mama-profile dt{
  color: var(--color-pink);
}
.mama-profile dd{
    padding-left: 1em;
}
.mama-message {
  display:flex;
  flex-direction: column;
  gap:5px;
}
.mama-message h4{
    width: 100%;
    color: var(--color-pink);
    margin-bottom: 5px;
}
.mama-message p{
    padding-left: 1em;
}

/*店長コメント*/
.shopcomment-wrap{
  display:flex;
  flex-wrap: wrap;
  gap:20px;
  padding: 20px 10px;
  background: #f5f1f1;
  border-radius: 12px;
  width: 100%;
}
.shop-comment{
  display:flex;
  flex-direction: column;
  gap:10px;
  letter-spacing: 1;
  width: 100%;
}
.shopcomment-wrap p{
    font-size: var(--text-S);
}
.shopcomment-wrap h4{
    font-size: var(--text-L);
}


@media (min-width: 768px) { /*PC*/
.profileList{
  margin-top: 20px;
}
.mama-profile{
  display:flex;
  flex-direction: row;
  flex-wrap: wrap;
  gap:10px;
}
.mama-profile dl{
  display:flex;
  flex-direction: column;
  gap:5px;
  width: calc(50% - 5px);
}

}


/* ───────── 
  スケジュール
───────── */
.schedule-wrap{
  display:flex;
  flex-direction: column;
  gap:5px;
}


/* ───────── 
  オプション可否
───────── */
.option-wrap{
  display:flex;
  flex-direction: column;
  gap:15px;
}


/* ───────── 
  料金
───────── */

.castprice-wrap{
  display:flex;
  flex-direction: column;
  gap:5px;
}